### Method

# Gtk IconTheme get_icon_names

#### Declaration [src]

    char**
    gtk_icon_theme_get_icon_names (
      GtkIconTheme* self
    )

#### Description [src]

Lists the names of icons in the current icon theme.

Gets property | `Gtk.IconTheme:icon-names`

#### Return value

Type: An array of `utf8`

A string array holding the names of all the icons in the theme. You must free the array using g_strfreev().

The array is `NULL`-terminated.
The caller of the method takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.